Bug 1546680 - reposurgeon: reposurgeon requires both Python 2 and Python 3
Summary: reposurgeon: reposurgeon requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: reposurgeon
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-02-19 10:26 UTC by Iryna Shcherbina
Modified: 2019-04-05 00:01 UTC (History)
3 users (show)

Fixed In Version: reposurgeon-3.42-6.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-05 00:01:23 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-02-19 10:26:27 UTC
The reposurgeon RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue. However, given that upstream supports Python 3
since version 3.35 [1], we strongly recommend switching the package
to Python 3 entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 27 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2
[1] https://gitlab.com/esr/reposurgeon/blob/master/NEWS#L71

Comment 1 Fedora End Of Life 2018-02-20 15:21:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Miro Hrončok 2019-03-17 21:50:27 UTC
Denis, are you responsive?

Comment 3 Denis Fateyev 2019-03-25 17:28:50 UTC
There is everything complicated with reposurgeon.
As fas as I remember, the latest released version has issues with build; and for the current one I'm not sure whether it's still built without issues under modern Fedora.
In additional, they have been migrating from Python to Go [1].

I can check the situation within one week (approx), to get some working solution here.

[1] https://gitlab.com/esr/reposurgeon

Comment 4 Miro Hrončok 2019-03-25 19:48:25 UTC
> I can check the situation within one week (approx), to get some working solution here.

Sounds great, thanks.

Comment 5 Fedora Update System 2019-03-31 09:49:37 UTC
reposurgeon-3.42-6.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a00c319c9

Comment 6 Fedora Update System 2019-03-31 19:26:27 UTC
reposurgeon-3.42-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a00c319c9

Comment 7 Fedora Update System 2019-04-05 00:01:23 UTC
reposurgeon-3.42-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.